Bug 190753 - [PATCH] mail/ecartis: STAGEify and preen
Summary: [PATCH] mail/ecartis: STAGEify and preen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks: 191216
  Show dependency treegraph
 
Reported: 2014-06-07 14:16 UTC by fullermd
Modified: 2014-06-20 20:07 UTC (History)
3 users (show)

See Also:


Attachments
Update to port (9.67 KB, patch)
2014-06-07 14:16 UTC, fullermd
no flags Details | Diff
Update to UIDs/GIDs (943 bytes, patch)
2014-06-07 14:16 UTC, fullermd
eadler: maintainer-approval+
Details | Diff
Full files/patch-Makefile (1.21 KB, patch)
2014-06-20 19:31 UTC, fullermd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2014-06-07 14:16:04 UTC
Created attachment 143490 [details]
Update to port

STAGEify.  Update MASTER_SITE.  pkg-message-ify.  Use USERS/GROUPS (note second patch to UIDs/GIDs) instead of interactive hand-rolled script.  Enable GNU_STRFTIME, which really means "has %z" which we do.  Update WWW.  Change a few dirrm's in the plist to dirrmtry's, since runtime data can wind up in a few places.
Comment 1 fullermd 2014-06-07 14:16:29 UTC
Created attachment 143491 [details]
Update to UIDs/GIDs
Comment 2 Jim Trigg 2014-06-09 16:10:46 UTC
Approved by maintainer.
Comment 3 William Grzybowski freebsd_committer 2014-06-20 15:28:43 UTC
The patch does not apply cleanly, files/patch-Makefile does not exist in current port.
Comment 4 Jim Trigg 2014-06-20 15:48:52 UTC
I misread - that should be files/patch-aa. I'll deal with renaming it usefully later.
Comment 5 William Grzybowski freebsd_committer 2014-06-20 15:58:02 UTC
Even applying it to files/patch-aa there is a hunk rejected.
Comment 6 fullermd 2014-06-20 19:31:51 UTC
Created attachment 143973 [details]
Full files/patch-Makefile

Odd.  Well, here's the full files/patch-Makefile.
Comment 7 commit-hook freebsd_committer 2014-06-20 20:06:33 UTC
A commit references this bug:

Author: wg
Date: Fri Jun 20 20:06:23 UTC 2014
New revision: 358634
URL: http://svnweb.freebsd.org/changeset/ports/358634

Log:
  mail/ecartis: support stage

  - Add UID/GID for this port
  - Update MASTER_SITES
  - Remove IS_INTERACTIVE

  PR:		190753
  Submitted by:	fullermd over-yonder net
  Approved by:	maintainer

Changes:
  head/GIDs
  head/UIDs
  head/mail/ecartis/Makefile
  head/mail/ecartis/files/patch-Makefile
  head/mail/ecartis/files/patch-aa
  head/mail/ecartis/files/pkg-message.in
  head/mail/ecartis/pkg-descr
  head/mail/ecartis/pkg-install
  head/mail/ecartis/pkg-plist